Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05967 Sound Minor Always Jun 21, 2015, 22:30 Jun 22, 2015, 08:45
Tester izius View Status Public Platform MAME (Official Binary)
Assigned To Osso Resolution Fixed OS Windows XP
Status [?] Resolved Driver darkmist.cpp
Version 0.162 Fixed in Version 0.163 Build Normal
Summary 05967: darkmist: No sound FX and partial music
Description The sound effects are completely missing, and most BGM are not played. Only the inserted coin, the starting and the overworld themes can be heard.
Steps To Reproduce
Additional Information At least 5 music themes (and possibly more) are not played: boss fight, win against boss, dungeon (stage 3 after teleporter), life lost, name entry (after game over).
Flags
Regression Version 0.159
Affected Sets / Systems darkmist
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.11782
Tafoid
Administrator
Jun 22, 2015, 03:46
Traced to this commit as the probable cause, Feb 7, 2015:
https://github.com/mamedev/mame/commit/be7aac56aff1de56e1fea039f0df0605165ea6e4
User avatar
No.11783
Osso
Developer
Jun 22, 2015, 08:45
edited on: Jun 22, 2015, 08:47
Gah, I definitely need some hex addition - subtraction refresh.. Fixed, will commit this evening.